Crystal Space: iDataBuffer Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDataBuffer Struct Reference
[Utilities]

The iDataBuffer interface can be used to exchange buffers with abstract data between plugins. More...

`#include <iutil/databuff.h>`

Inheritance diagram for iDataBuffer:

[legend]
List of all members.

## Public Member Functions
virtual char * | GetData () const =0
| Get the buffer as an abstract pointer.
int8 * | GetInt8 ()
| Get as an int8 *.
virtual size_t | GetSize () const =0
| Query the buffer size.
uint8 * | GetUint8 ()
| Get as an uint8 *.
char * | operator * () const
| Get the buffer as an (char *) pointer.

## Detailed Description

The iDataBuffer interface can be used to exchange buffers with abstract data between plugins.

The object does not care about the contents of the buffer; it just can perform several simple operations on them. The interface is designed to be light-weight, as an alternative to the heavy iString interface.

Definition at line 37 of file databuff.h.

## Member Function Documentation

virtual char* iDataBuffer::GetData | ( |  | ) | const`[pure virtual]`

Get the buffer as an abstract pointer.

Implemented in csDataBuffer, and csParasiticDataBufferBase.

Referenced by csDataBuffer::csDataBuffer(), GetInt8(), GetUint8(), and operator *().

int8* iDataBuffer::GetInt8 | ( |  | ) | `[inline]`

Get as an int8 *.

Reimplemented in csParasiticDataBufferBase.

Definition at line 48 of file databuff.h.

References GetData().

virtual size_t iDataBuffer::GetSize | ( |  | ) | const`[pure virtual]`

Query the buffer size.

Implemented in csDataBuffer, and csParasiticDataBufferBase.

Referenced by csDataBuffer::csDataBuffer(), and csParasiticDataBufferBase::SetContents().

uint8* iDataBuffer::GetUint8 | ( |  | ) | `[inline]`

Get as an uint8 *.

Reimplemented in csParasiticDataBufferBase.

Definition at line 51 of file databuff.h.

References GetData().

Referenced by csParasiticDataBufferBase::SetContents().

char* iDataBuffer::operator * | ( |  | ) | const`[inline]`

Get the buffer as an (char *) pointer.

Reimplemented in csParasiticDataBufferBase.

Definition at line 45 of file databuff.h.

References GetData().

The documentation for this struct was generated from the following file:

- iutil/databuff.h